<?php

namespace Bydedi\DebugBar;

use DebugBar\StandardDebugBar;

class DebugBar extends StandardDebugBar implements DebugBarInterface
{

    /**
     * @return string
     */
    public function render()
    {

        $baseUrl = '/vendor/debugbar';

        $this->installAssets();

        $renderer = $this->getJavascriptRenderer($baseUrl);
        return $renderer->renderHead() . $renderer->render();
    }

    public function installAssets()
    {

        // TODO : copy dir "/vendor/maximebf/debugbar/src/DebugBar/Resources" in "/web/assets/debugbar/"

        // $renderer = $this->getJavascriptRenderer();

        /*
        $assetsType = $this->getJavascriptRenderer()->getAssets();

        foreach ($assetsType as $key => $assets) {
            $dir = ($key == 0) ? 'css' : 'js';
            foreach ($assets as $asset) {
                $fileName = basename($asset);
                copy($asset, SITE_DIR . 'web' . DS . $dir . DS . $fileName);
            }
        }
        */
    }

    public function registerDataCollector($dataCollector)
    {
        $this->addCollector($dataCollector);
    }
}
